> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get enrollment registration options

> Returns FIDO registration options for the enrollment.



## OpenAPI

````yaml api-reference/banking-api/receivables/biometrics/openapi.json GET /biometrics/enrollments/{enrollment_id}/credentials
openapi: 3.0.0
info:
  title: Trio Biometrics API
  version: 0.1.0
servers:
  - url: http://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /biometrics/enrollments/{enrollment_id}/credentials:
    get:
      tags:
        - biometrics
      summary: List enrollment registration options
      description: Returns FIDO registration options for the enrollment.
      operationId: TrioInitiationWeb.Biometrics.EnrollmentController.registration_options
      parameters:
        - description: Enrollment ID
          in: path
          name: enrollment_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Registration_options_response'
          description: Registration options
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    Registration_options_response:
      description: Response schema for FIDO registration options
      example:
        data:
          public_key_encoded: >-
            {timeout:60000,user:{id:user_id,name:User,displayName:User},extensions:{credProps:true},rp:{id:example.com.br,name:Example},challenge:example_challenge,authenticatorSelection:{userVerification:required,requireResidentKey:false,authenticatorAttachment:platform,residentKey:preferred},excludeCredentials:[],pubKeyCredParams:[{type:public-key,alg:-7},{type:public-key,alg:-257}],attestation:none}
      properties:
        data:
          properties:
            public_key_encoded:
              description: Public key encoded
              type: string
          type: object
      title: Registration_options_response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````